Query reserve rules

Fetch all of the reserve rules for a sub-entity.

Path Parameters
  • id
    Type: string
    required

    The sub-entity's ID.

Responses
  • application/json
  • 400

    Bad Request

  • 401

    Unauthorized

Request Example for get/accounts/entities/{id}/reserve-rules
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/accounts/entities/ent_w4jelhppmfiufdnatam37wrfc4/reserve-rules' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "rsv_qn4nis4k3ykpzzu7cvtuvhqqga",
      "type": "rolling",
      "valid_from": "2001-01-01T13:33:00.000Z",
      "rolling": {
        "percentage": 10,
        "holding_duration": {
          "weeks": 2
        }
      }
    },
    {
      "id": "rsv_yk7nmh5jypmqzw5kb6kshj2iiy",
      "type": "rolling",
      "valid_from": "2001-02-01T13:33:00.000Z",
      "rolling": {
        "percentage": 15,
        "holding_duration": {
          "weeks": 4
        }
      }
    }
  ]
}